SPI Generate Read Functions

This set of functions will generate command strings for reading registers on VectorNav sensors using the SPI protocol. More...

## Functions

VnError | VnSpi_genReadUserTag (char *buffer, size_t *size, size_t desiredLength, size_t *responseSize)
| Generates a command to read the User Tag register on a VectorNav sensor. More...
VnError | VnSpi_genReadModelNumber (char *buffer, size_t *size, size_t desiredLength, size_t *responseSize)
| Generates a command to read the Model Number register on a VectorNav sensor. More...
VnError | VnSpi_genReadHardwareRevision (char *buffer, size_t *size, size_t desiredLength, size_t *responseSize)
| Generates a command to read the Hardware Revision register on a VectorNav sensor. More...
VnError | VnSpi_genReadSerialNumber (char *buffer, size_t *size, size_t desiredLength, size_t *responseSize)
| Generates a command to read the Serial Number register on a VectorNav sensor. More...
VnError | VnSpi_genReadFirmwareVersion (char *buffer, size_t *size, size_t desiredLength, size_t *responseSize)
| Generates a command to read the Firmware Version register on a VectorNav sensor. More...
VnError | VnSpi_genReadSerialBaudRate (char *buffer, size_t *size, size_t desiredLength, size_t *responseSize)
| Generates a command to read the Serial Baud Rate register on a VectorNav sensor. More...
VnError | VnSpi_genReadAsyncDataOutputType (char *buffer, size_t *size, size_t desiredLength, size_t *responseSize)
| Generates a command to read the Async Data Output Type register on a VectorNav sensor. More...
VnError | VnSpi_genReadAsyncDataOutputFrequency (char *buffer, size_t *size, size_t desiredLength, size_t *responseSize)
| Generates a command to read the Async Data Output Frequency register on a VectorNav sensor. More...
VnError | VnSpi_genReadYawPitchRoll (char *buffer, size_t *size, size_t desiredLength, size_t *responseSize)
| Generates a command to read the Yaw Pitch Roll register on a VectorNav sensor. More...
VnError | VnSpi_genReadAttitudeQuaternion (char *buffer, size_t *size, size_t desiredLength, size_t *responseSize)
| Generates a command to read the Attitude Quaternion register on a VectorNav sensor. More...
VnError | VnSpi_genReadQuaternionMagneticAccelerationAndAngularRates (char *buffer, size_t *size, size_t desiredLength, size_t *responseSize)
| Generates a command to read the Quaternion, Magnetic, Acceleration and Angular Rates register on a VectorNav sensor. More...
VnError | VnSpi_genReadMagneticMeasurements (char *buffer, size_t *size, size_t desiredLength, size_t *responseSize)
| Generates a command to read the Magnetic Measurements register on a VectorNav sensor. More...
VnError | VnSpi_genReadAccelerationMeasurements (char *buffer, size_t *size, size_t desiredLength, size_t *responseSize)
| Generates a command to read the Acceleration Measurements register on a VectorNav sensor. More...
VnError | VnSpi_genReadAngularRateMeasurements (char *buffer, size_t *size, size_t desiredLength, size_t *responseSize)
| Generates a command to read the Angular Rate Measurements register on a VectorNav sensor. More...
VnError | VnSpi_genReadMagneticAccelerationAndAngularRates (char *buffer, size_t *size, size_t desiredLength, size_t *responseSize)
| Generates a command to read the Magnetic, Acceleration and Angular Rates register on a VectorNav sensor. More...
VnError | VnSpi_genReadMagneticAndGravityReferenceVectors (char *buffer, size_t *size, size_t desiredLength, size_t *responseSize)
| Generates a command to read the Magnetic and Gravity Reference Vectors register on a VectorNav sensor. More...
VnError | VnSpi_genReadMagnetometerCompensation (char *buffer, size_t *size, size_t desiredLength, size_t *responseSize)
| Generates a command to read the Magnetometer Compensation register on a VectorNav sensor. More...
VnError | VnSpi_genReadAccelerationCompensation (char *buffer, size_t *size, size_t desiredLength, size_t *responseSize)
| Generates a command to read the Acceleration Compensation register on a VectorNav sensor. More...
VnError | VnSpi_genReadReferenceFrameRotation (char *buffer, size_t *size, size_t desiredLength, size_t *responseSize)
| Generates a command to read the Reference Frame Rotation register on a VectorNav sensor. More...
VnError | VnSpi_genReadYawPitchRollMagneticAccelerationAndAngularRates (char *buffer, size_t *size, size_t desiredLength, size_t *responseSize)
| Generates a command to read the Yaw, Pitch, Roll, Magnetic, Acceleration and Angular Rates register on a VectorNav sensor. More...
VnError | VnSpi_genReadCommunicationProtocolControl (char *buffer, size_t *size, size_t desiredLength, size_t *responseSize)
| Generates a command to read the Communication Protocol Control register on a VectorNav sensor. More...
VnError | VnSpi_genReadSynchronizationControl (char *buffer, size_t *size, size_t desiredLength, size_t *responseSize)
| Generates a command to read the Synchronization Control register on a VectorNav sensor. More...
VnError | VnSpi_genReadSynchronizationStatus (char *buffer, size_t *size, size_t desiredLength, size_t *responseSize)
| Generates a command to read the Synchronization Status register on a VectorNav sensor. More...
VnError | VnSpi_genReadVpeBasicControl (char *buffer, size_t *size, size_t desiredLength, size_t *responseSize)
| Generates a command to read the VPE Basic Control register on a VectorNav sensor. More...
VnError | VnSpi_genReadVpeMagnetometerBasicTuning (char *buffer, size_t *size, size_t desiredLength, size_t *responseSize)
| Generates a command to read the VPE Magnetometer Basic Tuning register on a VectorNav sensor. More...
VnError | VnSpi_genReadVpeAccelerometerBasicTuning (char *buffer, size_t *size, size_t desiredLength, size_t *responseSize)
| Generates a command to read the VPE Accelerometer Basic Tuning register on a VectorNav sensor. More...
VnError | VnSpi_genReadMagnetometerCalibrationControl (char *buffer, size_t *size, size_t desiredLength, size_t *responseSize)
| Generates a command to read the Magnetometer Calibration Control register on a VectorNav sensor. More...
VnError | VnSpi_genReadCalculatedMagnetometerCalibration (char *buffer, size_t *size, size_t desiredLength, size_t *responseSize)
| Generates a command to read the Calculated Magnetometer Calibration register on a VectorNav sensor. More...
VnError | VnSpi_genReadVelocityCompensationMeasurement (char *buffer, size_t *size, size_t desiredLength, size_t *responseSize)
| Generates a command to read the Velocity Compensation Measurement register on a VectorNav sensor. More...
VnError | VnSpi_genReadVelocityCompensationControl (char *buffer, size_t *size, size_t desiredLength, size_t *responseSize)
| Generates a command to read the Velocity Compensation Control register on a VectorNav sensor. More...
VnError | VnSpi_genReadImuMeasurements (char *buffer, size_t *size, size_t desiredLength, size_t *responseSize)
| Generates a command to read the IMU Measurements register on a VectorNav sensor. More...
VnError | VnSpi_genReadGpsConfiguration (char *buffer, size_t *size, size_t desiredLength, size_t *responseSize)
| Generates a command to read the GPS Configuration register on a VectorNav sensor. More...
VnError | VnSpi_genReadGpsAntennaOffset (char *buffer, size_t *size, size_t desiredLength, size_t *responseSize)
| Generates a command to read the GPS Antenna Offset register on a VectorNav sensor. More...
VnError | VnSpi_genReadGpsSolutionLla (char *buffer, size_t *size, size_t desiredLength, size_t *responseSize)
| Generates a command to read the GPS Solution - LLA register on a VectorNav sensor. More...
VnError | VnSpi_genReadGpsSolutionEcef (char *buffer, size_t *size, size_t desiredLength, size_t *responseSize)
| Generates a command to read the GPS Solution - ECEF register on a VectorNav sensor. More...
VnError | VnSpi_genReadInsSolutionLla (char *buffer, size_t *size, size_t desiredLength, size_t *responseSize)
| Generates a command to read the INS Solution - LLA register on a VectorNav sensor. More...
VnError | VnSpi_genReadInsSolutionEcef (char *buffer, size_t *size, size_t desiredLength, size_t *responseSize)
| Generates a command to read the INS Solution - ECEF register on a VectorNav sensor. More...
VnError | VnSpi_genReadInsBasicConfiguration (char *buffer, size_t *size, size_t desiredLength, size_t *responseSize)
| Generates a command to read the INS Basic Configuration register on a VectorNav sensor. More...
VnError | VnSpi_genReadInsStateLla (char *buffer, size_t *size, size_t desiredLength, size_t *responseSize)
| Generates a command to read the INS State - LLA register on a VectorNav sensor. More...
VnError | VnSpi_genReadInsStateEcef (char *buffer, size_t *size, size_t desiredLength, size_t *responseSize)
| Generates a command to read the INS State - ECEF register on a VectorNav sensor. More...
VnError | VnSpi_genReadStartupFilterBiasEstimate (char *buffer, size_t *size, size_t desiredLength, size_t *responseSize)
| Generates a command to read the Startup Filter Bias Estimate register on a VectorNav sensor. More...
VnError | VnSpi_genReadDeltaThetaAndDeltaVelocity (char *buffer, size_t *size, size_t desiredLength, size_t *responseSize)
| Generates a command to read the Delta Theta and Delta Velocity register on a VectorNav sensor. More...
VnError | VnSpi_genReadDeltaThetaAndDeltaVelocityConfiguration (char *buffer, size_t *size, size_t desiredLength, size_t *responseSize)
| Generates a command to read the Delta Theta and Delta Velocity Configuration register on a VectorNav sensor. More...
VnError | VnSpi_genReadReferenceVectorConfiguration (char *buffer, size_t *size, size_t desiredLength, size_t *responseSize)
| Generates a command to read the Reference Vector Configuration register on a VectorNav sensor. More...
VnError | VnSpi_genReadGyroCompensation (char *buffer, size_t *size, size_t desiredLength, size_t *responseSize)
| Generates a command to read the Gyro Compensation register on a VectorNav sensor. More...
VnError | VnSpi_genReadImuFilteringConfiguration (char *buffer, size_t *size, size_t desiredLength, size_t *responseSize)
| Generates a command to read the IMU Filtering Configuration register on a VectorNav sensor. More...
VnError | VnSpi_genReadGpsCompassBaseline (char *buffer, size_t *size, size_t desiredLength, size_t *responseSize)
| Generates a command to read the GPS Compass Baseline register on a VectorNav sensor. More...
VnError | VnSpi_genReadGpsCompassEstimatedBaseline (char *buffer, size_t *size, size_t desiredLength, size_t *responseSize)
| Generates a command to read the GPS Compass Estimated Baseline register on a VectorNav sensor. More...
VnError | VnSpi_genReadYawPitchRollTrueBodyAccelerationAndAngularRates (char *buffer, size_t *size, size_t desiredLength, size_t *responseSize)
| Generates a command to read the Yaw, Pitch, Roll, True Body Acceleration and Angular Rates register on a VectorNav sensor. More...
VnError | VnSpi_genReadYawPitchRollTrueInertialAccelerationAndAngularRates (char *buffer, size_t *size, size_t desiredLength, size_t *responseSize)
| Generates a command to read the Yaw, Pitch, Roll, True Inertial Acceleration and Angular Rates register on a VectorNav sensor. More...

## Detailed Description

This set of functions will generate command strings for reading registers on VectorNav sensors using the SPI protocol.

These functions take the form of `VnError VnSpi_genReadXXX(char buffer, size_t size, size_t desiredLength, size_t* responseSize)` where XXX is replaced with the name of the register, `buffer` is provided by the user to be filled with the generated command, `size` is the number of bytes available in the provided buffer and will contain the number of bytes of the command to send, `desiredLength` is the total number of bytes to pad with 0x00 should the total constructed length of the command be less than the desiredLength, `responseSize` is the number of bytes to read during the SPI transaction to get this command's response.

## Function Documentation

VnError VnSpi_genReadAccelerationCompensation | ( | char * | buffer,
|  | size_t * | size,
|  | size_t | desiredLength,
|  | size_t * | responseSize
| ) |  |

Generates a command to read the Acceleration Compensation register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.

VnError VnSpi_genReadAccelerationMeasurements | ( | char * | buffer,
|  | size_t * | size,
|  | size_t | desiredLength,
|  | size_t * | responseSize
| ) |  |

Generates a command to read the Acceleration Measurements register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.

VnError VnSpi_genReadAngularRateMeasurements | ( | char * | buffer,
|  | size_t * | size,
|  | size_t | desiredLength,
|  | size_t * | responseSize
| ) |  |

Generates a command to read the Angular Rate Measurements register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.

VnError VnSpi_genReadAsyncDataOutputFrequency | ( | char * | buffer,
|  | size_t * | size,
|  | size_t | desiredLength,
|  | size_t * | responseSize
| ) |  |

Generates a command to read the Async Data Output Frequency register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.

VnError VnSpi_genReadAsyncDataOutputType | ( | char * | buffer,
|  | size_t * | size,
|  | size_t | desiredLength,
|  | size_t * | responseSize
| ) |  |

Generates a command to read the Async Data Output Type register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.

VnError VnSpi_genReadAttitudeQuaternion | ( | char * | buffer,
|  | size_t * | size,
|  | size_t | desiredLength,
|  | size_t * | responseSize
| ) |  |

Generates a command to read the Attitude Quaternion register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.

VnError VnSpi_genReadCalculatedMagnetometerCalibration | ( | char * | buffer,
|  | size_t * | size,
|  | size_t | desiredLength,
|  | size_t * | responseSize
| ) |  |

Generates a command to read the Calculated Magnetometer Calibration register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.

VnError VnSpi_genReadCommunicationProtocolControl | ( | char * | buffer,
|  | size_t * | size,
|  | size_t | desiredLength,
|  | size_t * | responseSize
| ) |  |

Generates a command to read the Communication Protocol Control register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.

VnError VnSpi_genReadDeltaThetaAndDeltaVelocity | ( | char * | buffer,
|  | size_t * | size,
|  | size_t | desiredLength,
|  | size_t * | responseSize
| ) |  |

Generates a command to read the Delta Theta and Delta Velocity register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.

VnError VnSpi_genReadDeltaThetaAndDeltaVelocityConfiguration | ( | char * | buffer,
|  | size_t * | size,
|  | size_t | desiredLength,
|  | size_t * | responseSize
| ) |  |

Generates a command to read the Delta Theta and Delta Velocity Configuration register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.

VnError VnSpi_genReadFirmwareVersion | ( | char * | buffer,
|  | size_t * | size,
|  | size_t | desiredLength,
|  | size_t * | responseSize
| ) |  |

Generates a command to read the Firmware Version register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.

VnError VnSpi_genReadGpsAntennaOffset | ( | char * | buffer,
|  | size_t * | size,
|  | size_t | desiredLength,
|  | size_t * | responseSize
| ) |  |

Generates a command to read the GPS Antenna Offset register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.

VnError VnSpi_genReadGpsCompassBaseline | ( | char * | buffer,
|  | size_t * | size,
|  | size_t | desiredLength,
|  | size_t * | responseSize
| ) |  |

Generates a command to read the GPS Compass Baseline register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.

VnError VnSpi_genReadGpsCompassEstimatedBaseline | ( | char * | buffer,
|  | size_t * | size,
|  | size_t | desiredLength,
|  | size_t * | responseSize
| ) |  |

Generates a command to read the GPS Compass Estimated Baseline register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.

VnError VnSpi_genReadGpsConfiguration | ( | char * | buffer,
|  | size_t * | size,
|  | size_t | desiredLength,
|  | size_t * | responseSize
| ) |  |

Generates a command to read the GPS Configuration register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.

VnError VnSpi_genReadGpsSolutionEcef | ( | char * | buffer,
|  | size_t * | size,
|  | size_t | desiredLength,
|  | size_t * | responseSize
| ) |  |

Generates a command to read the GPS Solution - ECEF register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.

VnError VnSpi_genReadGpsSolutionLla | ( | char * | buffer,
|  | size_t * | size,
|  | size_t | desiredLength,
|  | size_t * | responseSize
| ) |  |

Generates a command to read the GPS Solution - LLA register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.

VnError VnSpi_genReadGyroCompensation | ( | char * | buffer,
|  | size_t * | size,
|  | size_t | desiredLength,
|  | size_t * | responseSize
| ) |  |

Generates a command to read the Gyro Compensation register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.

VnError VnSpi_genReadHardwareRevision | ( | char * | buffer,
|  | size_t * | size,
|  | size_t | desiredLength,
|  | size_t * | responseSize
| ) |  |

Generates a command to read the Hardware Revision register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.

VnError VnSpi_genReadImuFilteringConfiguration | ( | char * | buffer,
|  | size_t * | size,
|  | size_t | desiredLength,
|  | size_t * | responseSize
| ) |  |

Generates a command to read the IMU Filtering Configuration register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.

VnError VnSpi_genReadImuMeasurements | ( | char * | buffer,
|  | size_t * | size,
|  | size_t | desiredLength,
|  | size_t * | responseSize
| ) |  |

Generates a command to read the IMU Measurements register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.

VnError VnSpi_genReadInsBasicConfiguration | ( | char * | buffer,
|  | size_t * | size,
|  | size_t | desiredLength,
|  | size_t * | responseSize
| ) |  |

Generates a command to read the INS Basic Configuration register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.

VnError VnSpi_genReadInsSolutionEcef | ( | char * | buffer,
|  | size_t * | size,
|  | size_t | desiredLength,
|  | size_t * | responseSize
| ) |  |

Generates a command to read the INS Solution - ECEF register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.

VnError VnSpi_genReadInsSolutionLla | ( | char * | buffer,
|  | size_t * | size,
|  | size_t | desiredLength,
|  | size_t * | responseSize
| ) |  |

Generates a command to read the INS Solution - LLA register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.

VnError VnSpi_genReadInsStateEcef | ( | char * | buffer,
|  | size_t * | size,
|  | size_t | desiredLength,
|  | size_t * | responseSize
| ) |  |

Generates a command to read the INS State - ECEF register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.

VnError VnSpi_genReadInsStateLla | ( | char * | buffer,
|  | size_t * | size,
|  | size_t | desiredLength,
|  | size_t * | responseSize
| ) |  |

Generates a command to read the INS State - LLA register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.

VnError VnSpi_genReadMagneticAccelerationAndAngularRates | ( | char * | buffer,
|  | size_t * | size,
|  | size_t | desiredLength,
|  | size_t * | responseSize
| ) |  |

Generates a command to read the Magnetic, Acceleration and Angular Rates register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.

VnError VnSpi_genReadMagneticAndGravityReferenceVectors | ( | char * | buffer,
|  | size_t * | size,
|  | size_t | desiredLength,
|  | size_t * | responseSize
| ) |  |

Generates a command to read the Magnetic and Gravity Reference Vectors register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.

VnError VnSpi_genReadMagneticMeasurements | ( | char * | buffer,
|  | size_t * | size,
|  | size_t | desiredLength,
|  | size_t * | responseSize
| ) |  |

Generates a command to read the Magnetic Measurements register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.

VnError VnSpi_genReadMagnetometerCalibrationControl | ( | char * | buffer,
|  | size_t * | size,
|  | size_t | desiredLength,
|  | size_t * | responseSize
| ) |  |

Generates a command to read the Magnetometer Calibration Control register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.

VnError VnSpi_genReadMagnetometerCompensation | ( | char * | buffer,
|  | size_t * | size,
|  | size_t | desiredLength,
|  | size_t * | responseSize
| ) |  |

Generates a command to read the Magnetometer Compensation register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.

VnError VnSpi_genReadModelNumber | ( | char * | buffer,
|  | size_t * | size,
|  | size_t | desiredLength,
|  | size_t * | responseSize
| ) |  |

Generates a command to read the Model Number register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.

VnError VnSpi_genReadQuaternionMagneticAccelerationAndAngularRates | ( | char * | buffer,
|  | size_t * | size,
|  | size_t | desiredLength,
|  | size_t * | responseSize
| ) |  |

Generates a command to read the Quaternion, Magnetic, Acceleration and Angular Rates register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.

VnError VnSpi_genReadReferenceFrameRotation | ( | char * | buffer,
|  | size_t * | size,
|  | size_t | desiredLength,
|  | size_t * | responseSize
| ) |  |

Generates a command to read the Reference Frame Rotation register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.

VnError VnSpi_genReadReferenceVectorConfiguration | ( | char * | buffer,
|  | size_t * | size,
|  | size_t | desiredLength,
|  | size_t * | responseSize
| ) |  |

Generates a command to read the Reference Vector Configuration register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.

VnError VnSpi_genReadSerialBaudRate | ( | char * | buffer,
|  | size_t * | size,
|  | size_t | desiredLength,
|  | size_t * | responseSize
| ) |  |

Generates a command to read the Serial Baud Rate register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.

VnError VnSpi_genReadSerialNumber | ( | char * | buffer,
|  | size_t * | size,
|  | size_t | desiredLength,
|  | size_t * | responseSize
| ) |  |

Generates a command to read the Serial Number register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.

VnError VnSpi_genReadStartupFilterBiasEstimate | ( | char * | buffer,
|  | size_t * | size,
|  | size_t | desiredLength,
|  | size_t * | responseSize
| ) |  |

Generates a command to read the Startup Filter Bias Estimate register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.

VnError VnSpi_genReadSynchronizationControl | ( | char * | buffer,
|  | size_t * | size,
|  | size_t | desiredLength,
|  | size_t * | responseSize
| ) |  |

Generates a command to read the Synchronization Control register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.

VnError VnSpi_genReadSynchronizationStatus | ( | char * | buffer,
|  | size_t * | size,
|  | size_t | desiredLength,
|  | size_t * | responseSize
| ) |  |

Generates a command to read the Synchronization Status register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.

VnError VnSpi_genReadUserTag | ( | char * | buffer,
|  | size_t * | size,
|  | size_t | desiredLength,
|  | size_t * | responseSize
| ) |  |

Generates a command to read the User Tag register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.

VnError VnSpi_genReadVelocityCompensationControl | ( | char * | buffer,
|  | size_t * | size,
|  | size_t | desiredLength,
|  | size_t * | responseSize
| ) |  |

Generates a command to read the Velocity Compensation Control register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.

VnError VnSpi_genReadVelocityCompensationMeasurement | ( | char * | buffer,
|  | size_t * | size,
|  | size_t | desiredLength,
|  | size_t * | responseSize
| ) |  |

Generates a command to read the Velocity Compensation Measurement register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.

VnError VnSpi_genReadVpeAccelerometerBasicTuning | ( | char * | buffer,
|  | size_t * | size,
|  | size_t | desiredLength,
|  | size_t * | responseSize
| ) |  |

Generates a command to read the VPE Accelerometer Basic Tuning register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.

VnError VnSpi_genReadVpeBasicControl | ( | char * | buffer,
|  | size_t * | size,
|  | size_t | desiredLength,
|  | size_t * | responseSize
| ) |  |

Generates a command to read the VPE Basic Control register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.

VnError VnSpi_genReadVpeMagnetometerBasicTuning | ( | char * | buffer,
|  | size_t * | size,
|  | size_t | desiredLength,
|  | size_t * | responseSize
| ) |  |

Generates a command to read the VPE Magnetometer Basic Tuning register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.

VnError VnSpi_genReadYawPitchRoll | ( | char * | buffer,
|  | size_t * | size,
|  | size_t | desiredLength,
|  | size_t * | responseSize
| ) |  |

Generates a command to read the Yaw Pitch Roll register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.

Examples:
  spi/main.c.

VnError VnSpi_genReadYawPitchRollMagneticAccelerationAndAngularRates | ( | char * | buffer,
|  | size_t * | size,
|  | size_t | desiredLength,
|  | size_t * | responseSize
| ) |  |

Generates a command to read the Yaw, Pitch, Roll, Magnetic, Acceleration and Angular Rates register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.

VnError VnSpi_genReadYawPitchRollTrueBodyAccelerationAndAngularRates | ( | char * | buffer,
|  | size_t * | size,
|  | size_t | desiredLength,
|  | size_t * | responseSize
| ) |  |

Generates a command to read the Yaw, Pitch, Roll, True Body Acceleration and Angular Rates register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.

VnError VnSpi_genReadYawPitchRollTrueInertialAccelerationAndAngularRates | ( | char * | buffer,
|  | size_t * | size,
|  | size_t | desiredLength,
|  | size_t * | responseSize
| ) |  |

Generates a command to read the Yaw, Pitch, Roll, True Inertial Acceleration and Angular Rates register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.